LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
_vid_playback_plugin Struct Reference

`#include <plugins.h>`

## Data Fields
char | name [64]
void * | handle
const char *(* | module_check_init )(void)
const char *(* | version )(void)
const char *(* | get_description )(void)
int *(* | get_palette_list )(void)
boolean(* | set_palette )(int palette)
uint64_t(* | get_capabilities )(int palette)
boolean(* | render_frame )(int hsize, int vsize, int64_t timecode, void **pixel_data, void **return_data, weed_plant_t **play_params)
boolean(* | init_screen )(int width, int height, boolean fullscreen, uint64_t window_id, int argc, char **argv)
void(* | exit_screen )(uint16_t mouse_x, uint16_t mouse_y)
void(* | module_unload )(void)
const char *(* | get_fps_list )(int palette)
boolean(* | set_fps )(double fps)
const char *(* | get_init_rfx )(void)
| optional (but should return a weed plantptr array of paramtmpl and chantmpl, NULL terminated) More...
const weed_plant_t **(* | get_play_params )(weed_bootstrap_f f)
boolean(* | send_keycodes )(plugin_keyfunc)
int *(* | get_yuv_palette_sampling )(int palette)
int *(* | get_yuv_palette_clamping )(int palette)
int *(* | get_yuv_palette_subspace )(int palette)
int(* | set_yuv_palette_sampling )(int palette)
int(* | set_yuv_palette_clamping )(int palette)
int(* | set_yuv_palette_subspace )(int palette)
int *(* | get_audio_fmts )(void)
uint32_t | audio_codec
uint64_t | capabilities
int | fwidth
int | fheight
int | palette
int | YUV_sampling
int | YUV_clamping
int | YUV_subspace
int | fixed_fps_numer
int | fixed_fps_denom
double | fixed_fpsd
int | extra_argc
char ** | extra_argv
const weed_plant_t ** | play_paramtmpls
weed_plant_t ** | play_params
weed_plant_t ** | alpha_chans
int | num_play_params
int | num_alpha_chans

## Field Documentation

weed_plant_t** _vid_playback_plugin::alpha_chans

uint32_t _vid_playback_plugin::audio_codec

uint64_t _vid_playback_plugin::capabilities

void(* _vid_playback_plugin::exit_screen)(uint16_t mouse_x, uint16_t mouse_y)

int _vid_playback_plugin::extra_argc

char** _vid_playback_plugin::extra_argv

int _vid_playback_plugin::fheight

int _vid_playback_plugin::fixed_fps_denom

int _vid_playback_plugin::fixed_fps_numer

double _vid_playback_plugin::fixed_fpsd

int _vid_playback_plugin::fwidth

int*(* _vid_playback_plugin::get_audio_fmts)(void)

uint64_t(* _vid_playback_plugin::get_capabilities)(int palette)

const char*(* _vid_playback_plugin::get_description)(void)

const char*(* _vid_playback_plugin::get_fps_list)(int palette)

const char*(* _vid_playback_plugin::get_init_rfx)(void)

optional (but should return a weed plantptr array of paramtmpl and chantmpl, NULL terminated)

int*(* _vid_playback_plugin::get_palette_list)(void)

const weed_plant_t**(* _vid_playback_plugin::get_play_params)(weed_bootstrap_f f)

int*(* _vid_playback_plugin::get_yuv_palette_clamping)(int palette)

int*(* _vid_playback_plugin::get_yuv_palette_sampling)(int palette)

int*(* _vid_playback_plugin::get_yuv_palette_subspace)(int palette)

void* _vid_playback_plugin::handle

boolean(* _vid_playback_plugin::init_screen)(int width, int height, boolean fullscreen, uint64_t window_id, int argc, char **argv)

const char*(* _vid_playback_plugin::module_check_init)(void)

void(* _vid_playback_plugin::module_unload)(void)

char _vid_playback_plugin::name[64]

int _vid_playback_plugin::num_alpha_chans

int _vid_playback_plugin::num_play_params

int _vid_playback_plugin::palette

weed_plant_t** _vid_playback_plugin::play_params

const weed_plant_t** _vid_playback_plugin::play_paramtmpls

boolean(* _vid_playback_plugin::render_frame)(int hsize, int vsize, int64_t timecode, void **pixel_data, void **return_data, weed_plant_t **play_params)

boolean(* _vid_playback_plugin::send_keycodes)(plugin_keyfunc)

boolean(* _vid_playback_plugin::set_fps)(double fps)

boolean(* _vid_playback_plugin::set_palette)(int palette)

int(* _vid_playback_plugin::set_yuv_palette_clamping)(int palette)

int(* _vid_playback_plugin::set_yuv_palette_sampling)(int palette)

int(* _vid_playback_plugin::set_yuv_palette_subspace)(int palette)

const char*(* _vid_playback_plugin::version)(void)

int _vid_playback_plugin::YUV_clamping

int _vid_playback_plugin::YUV_sampling

int _vid_playback_plugin::YUV_subspace

The documentation for this struct was generated from the following file:

- src/plugins.h